#
# spec file for package perl-Chart
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Chart
Version:        2.4.10
Release:        5.3
%define cpan_name Chart
Summary:        Series of Charting Modules
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Chart/
Source0:        http://www.cpan.org/authors/id/C/CH/CHARTGRP/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(GD) >= 2
Requires:       perl(GD) >= 2
%{perl_requires}

%description
These man-pages give you the most important information about Chart. There
is also a complete documentation (Documentation.pdf) within the Chart
package. Look at it to get more information. This module is an attempt to
build a general purpose graphing module that is easily modified and
expanded. I borrowed most of the API from Martien Verbruggen's GIFgraph
module. I liked most of GIFgraph, but I thought it was to difficult to
modify, and it was missing a few things that I needed, most notably
legends. So I decided to write a new module from scratch, and I've designed
it from the bottom up to be easy to modify. Like GIFgraph, Chart uses
Lincoln Stein's GD module for all of its graphics primitives calls.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

rm -f pm_to_blib

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc doc Documentation.pdf README TODO

%changelog
* Sat May  2 2015 coolo@suse.com
- updated to 2.4.10
  see /usr/share/doc/packages/perl-Chart/
* Fri Oct  3 2014 crrodriguez@opensuse.org
- Cleanup buildRequires, none of the libraries are used
  by this (noarch) package
* Sun Apr  1 2012 pascal.bleser@opensuse.org
- update to 2.4.5: no upstream changelog available
* Wed Jan 11 2012 pascal.bleser@opensuse.org
- update to 2.4.4: no upstream changelog available
* Wed Nov 30 2011 pascal.bleser@opensuse.org
- update to 2.4.3:
  * corrections to imagemap production in Composite.pm and Lines.pm
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Oct 14 2010 chris@computersalat.de
- update to 2.4.2
  o Base.pm:
  * The values for 'true' resp. 'false' may be of the following
    true: TRUE, true, T, t, 1 and defined
    false: FALSE, false, F, f, 0 or undefined
  * Added new options xlabel and xrange which is valid for xy_plot
    and Chart::Lines, Chart::Points, Chart::LinesPoints,
    Chart::Split, Chart::ErrorBars.
  * In order to use the labels, the chart module needs to have 'xlabels'
    AND 'xrange' set. Below is some example code for use:
    @labels = (['Jan', 'Feb','Mar'],
    ['10','40','70']);
    $chart->set( xlabels => \@labels,
    xrange => [0,100] );
    This options allow to set and position labels at the x-axis arbitrary.
  * add_dataset() and app_pt() accepts now datasets as lists and as
    references to list like already mentioned in the docs
  o Pie.pm:
  * Optimized organisation of the placement of the labels.
    Added flag to avoid plotting of legends at all
    Using GD Version 2.0.36 as this version supports 'filledArc'
  o Composite.pm:
  * Correction due to Request 23166
    write the endmost value of input array
    in imagemap_data array
  o Lines.pm:
  * Correction due to Request 23166:
    write the endmost value of input array
    in imagemap_data array
- noarch pkg
- recreated by cpanspec 1.78
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 dmueller@suse.de
- 2.4.1 update
* Mon Oct 17 2005 dmueller@suse.de
- initial package (2.3)
